// used for converting text input to text area

// eslint-disable-next-line no-unused-vars
function convertTextInputsToTextArea() {
    var contentDocument = null;
    // var convertedTextInputs = 0;
    var elementType = null;
    var inputElement = null;
    var inputElements = null;
    var parentNode = null;
    var textareaElement = null;

    // go through the documents
    contentDocument = window.document;
    // use query selector all so that it is not a live node list
    inputElements = contentDocument.querySelectorAll("input");
    // go through the input tags
    for (var j = 0, m = inputElements.length; j < m; j++) {
        inputElement = inputElements[j];
        elementType = inputElement.getAttribute("type");
        // check if the form element does not have a type attribute or it is not a text input
        if (!elementType || elementType != "button" && elementType != "checkbox" && elementType != "file" && elementType != "hidden" && elementType != "image" && elementType != "radio" && elementType != "reset" && elementType != "submit") {
            textareaElement = contentDocument.createElement("textarea");
            parentNode = inputElement.parentNode;

            textareaElement.value = inputElement.value;

            // check if the select element has an id attribute
            if (inputElement.hasAttribute("id")) {
                textareaElement.setAttribute("id", inputElement.getAttribute("id"));
            }

            // check if the select element has a name attribute
            if (inputElement.hasAttribute("name")) {
                textareaElement.setAttribute("name", inputElement.getAttribute("name"));
            }
            parentNode.insertBefore(textareaElement, inputElement);
            parentNode.removeChild(inputElement);
            // convertedTextInputs++;
        }
    }
}