//
// function that marks all links in all document type as visited or not visited
//
// eslint-disable-next-line no-unused-vars
function markAllLinks(visited) {
    // eslint-disable-next-line no-undef
    var docList = generateDocumentList();
    var contentDocument = null;
    var elementList = null;
    var element = null;
    var href = null;
    for (var index1 = 0, len1 = docList.length; index1 < len1; index1++) {
        contentDocument = docList[index1];
        elementList = contentDocument.querySelectorAll("a");
        // go through the elements
        for (var index2 = 0, len2 = elementList.length; index2 < len2; index2++) {
            element = elementList[index2];
            href = element.href;
            if (visited) {
                var msg1 = {
                    "to_do": "urlAddToHistory",
                    "url": href,
                };
                chrome.extension.sendMessage(msg1, function(response) {
                });
            } else {
                var msg2 = {
                    "to_do": "urlDeleteFromHistory",
                    "url": href,
                };
                chrome.extension.sendMessage(msg2, function(response) {
                });
            }
        }
    }
}