var outlineFloatingElemClassName = "twd-outline-floating-elem";

//
// function that starts to outline floating elements
//
// eslint-disable-next-line no-unused-vars
function outlineFloatingElemFinal() {
    // eslint-disable-next-line no-undef
    var docList = generateDocumentList();
    var contentDocument = null;
    var elementList = null;
    var float = null;
    var element = null;
    for (var index1 = 0, len1 = docList.length; index1 < len1; index1++) {
        contentDocument = docList[index1];
        elementList = contentDocument.querySelectorAll("*");
        // go through the elements
        for (var index2 = 0, len2 = elementList.length; index2 < len2; index2++) {
            element = elementList[index2];
            // eslint-disable-next-line no-undef
            float = getCSSText(
                // eslint-disable-next-line no-undef
                getCSSPropertyVal(element.ownerDocument.defaultView.getComputedStyle(element, null), "float"));
            // check if it is set to float or not
            if (float && float != "none") {
                // eslint-disable-next-line no-undef
                addClass(
                    element,
                    outlineFloatingElemClassName);
            }
        }
    }
}

//
//  functions that removes outline from floating element
//
// eslint-disable-next-line no-unused-vars
function outlineFloatingElemRemoveOutline() {
    // eslint-disable-next-line no-undef
    removeClassNameFromAllDocTypeElem(
        outlineFloatingElemClassName
    );
}