var outlineRelativePositionedElemClassName = "twd-outline-relative-positioned-elem";

//
// function that starts to outline floating elements
//
// eslint-disable-next-line no-unused-vars
function outlineRelativePositionedElemFinal() {
    // eslint-disable-next-line no-undef
    var docList = generateDocumentList();
    var contentDocument = null;
    var elementList = null;
    var element = null;
    var position = null;
    for (var index1 = 0, len1 = docList.length; index1 < len1; index1++) {
        contentDocument = docList[index1];
        elementList = contentDocument.querySelectorAll("*");
        // go through the elements
        for (var index2 = 0, len2 = elementList.length; index2 < len2; index2++) {
            element = elementList[index2];
            // eslint-disable-next-line no-undef
            position = getCSSText(
                // eslint-disable-next-line no-undef
                getCSSPropertyVal(element.ownerDocument.defaultView.getComputedStyle(element, null), "position"));
            // check if this element has a background image and it is a URL
            if (position && position == "relative") {
                // eslint-disable-next-line no-undef
                addClass(
                    element,
                    outlineRelativePositionedElemClassName);
            }
        }
    }
}

//
//  functions that removes outline from floating element
//
// eslint-disable-next-line no-unused-vars
function outlineRelativePositionedElemRemoveOutline() {
    // eslint-disable-next-line no-undef
    removeClassNameFromAllDocTypeElem(
        outlineRelativePositionedElemClassName
    );
}